Truncate (Apache Ant API)
Keywords: org.apache.tools.ant.taskdefs.Truncate class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs
Class Truncate

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.Truncate

All Implemented Interfaces:
  java.lang.Cloneable

    public class Truncate

extends Task

Set the length of one or more files, as the intermittently available `truncate` Unix utility/function.

Since:
  Ant 1.7.1

Field Summary

Fields inherited from class org.apache.tools.ant.Task
`target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`description, location, project`

Constructor Summary
`Truncate()`

Method Summary
`void` | `add(ResourceCollection rc)` Add a nested (filesystem-only) ResourceCollection.
`void` | `execute()` Called by the project to let the task do its work..
`void` | `setAdjust(java.lang.Long adjust)` Set the amount by which files' lengths should be adjusted.
`void` | `setCreate(boolean create)` Set whether to create nonexistent files.
`void` | `setFile(java.io.File f)` Set a single target File.
`void` | `setLength(java.lang.Long length)` Set the length to which files should be set.
`void` | `setMkdirs(boolean mkdirs)` Set whether, when creating nonexistent files, nonexistent directories should also be created.

Methods inherited from class org.apache.tools.ant.Task
`bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Truncate

    public Truncate()

Method Detail

### setFile

    public void setFile(java.io.File f)

  Set a single target File.

  Parameters:
    `f` - the single File

### add

    public void add(ResourceCollection rc)

  Add a nested (filesystem-only) ResourceCollection.

  Parameters:
    `rc` - the ResourceCollection to add.

### setAdjust

    public void setAdjust(java.lang.Long adjust)

  Set the amount by which files' lengths should be adjusted. It is permissible to append K / M / G / T / P.

  Parameters:
    `adjust` - (positive or negative) adjustment amount.

### setLength

    public void setLength(java.lang.Long length)

  Set the length to which files should be set. It is permissible to append K / M / G / T / P.

  Parameters:
    `length` - (positive) adjustment amount.

### setCreate

    public void setCreate(boolean create)

  Set whether to create nonexistent files.

  Parameters:
    `create` - boolean, default `true`.

### setMkdirs

    public void setMkdirs(boolean mkdirs)

  Set whether, when creating nonexistent files, nonexistent directories should also be created.

  Parameters:
    `mkdirs` - boolean, default `false`.

### execute

    public void execute()

  Called by the project to let the task do its work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running "ant target1 target2" will run all tasks in target3 twice..

  Overrides:
    `execute` in class `Task`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD